<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.HTTPSeekRequestError &ndash; librygel-server &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.HTTPSeekRequestError &ndash; librygel-server Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-server</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="errordomain">HTTPSeekRequestError</li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="errorcode"><a href="Rygel.HTTPSeekRequestError.BAD_REQUEST.html">BAD_REQUEST</a></li>
          <li class="errorcode"><a href="Rygel.HTTPSeekRequestError.INVALID_RANGE.html">INVALID_RANGE</a></li>
          <li class="errorcode"><a href="Rygel.HTTPSeekRequestError.OUT_OF_RANGE.html">OUT_OF_RANGE</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">HTTPSeekRequestError</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <span class="main_keyword">errordomain</span> <b><span class="errordomain">HTTPSeekRequestError</span></b>
        </div>
        <div class="description">
          <p>Various errors that can be thrown when attempting to seek into a stream.</p>
          <div class="main_notification_block"><span class="main_block_headline">Note:</span> 
            <div class="main_block_content">
              <p>All codes must be set to Soup.Status codes </p>
            </div>
          </div>
        </div><br/>
        <div class="namespace_note"><b>Namespace:</b> <a href="Rygel.html">Rygel</a>
        </div>
        <div class="package_note"><b>Package:</b> <a href="index.htm">librygel-server</a>
        </div>
        <h2 class="main_title">Content:</h2>
        <h3 class="main_title">Error codes:</h3>
        <ul class="navi_inline">
          <li class="errorcode"><a href="Rygel.HTTPSeekRequestError.BAD_REQUEST.html">BAD_REQUEST</a></li>
          <li class="errorcode"><a href="Rygel.HTTPSeekRequestError.INVALID_RANGE.html">INVALID_RANGE</a></li>
          <li class="errorcode"><a href="Rygel.HTTPSeekRequestError.OUT_OF_RANGE.html">OUT_OF_RANGE</a></li>
        </ul>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>